{
  "type": "minecraft:smithing_transform",
  "addition": {
    "item": "minecraft:diamond_block"
  },
  "base": {
    "item": "minecraft:paper"
  },
  "result": {
    "id": "minecraft:knowledge_book"
  },
  "template": {
    "item": "minecraft:gold_block"
  }
}